#
# spec file for package openwbem (Version 3.2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           openwbem
BuildRequires:  cim-schema gcc-c++ openslp-devel openssl-devel pam-devel
%define prefix /usr
%define localstatedir /var/lib
%define startnum 36
%define killnum 64
%define daemonname owcimomd
%define owversion 3.2.0
Version:        3.2.0
Release:        24.10
Group:          System/Management
Summary:        Web Based Enterprise Management (WBEM) Implementation
License:        BSD
URL:            http://openwbem.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
Source1:        novell-openwbem-root-acl.mof
Source2:        loadmof.sh
Source3:        rmmof.sh
Source4:        openwbem-owcimomd.init
Source5:        openwbem-etc_pam.d_openwbem
Source7:        %{name}-3.1.0.tar.bz2
Patch1:         openwbem-compiler-flags.patch
Patch2:         perl_path.patch
Patch7:         m4.dif
Patch8:         openwbem-3.1.0-repository_dump.patch
Patch9:         openwbem-3.1.0-friend-injection.patch
Patch10:        openwbem-cimom-env.patch
Patch11:        openwbem-cmpi-thread-context.patch
Patch12:        openwbem-simpleAssocProvIfc-xnsAssoc.patch
Patch13:        openwbem-embedded_includes.patch
Patch14:        openwbem-additional_config_files.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       cim-server
Conflicts:      pegasus-wbem
PreReq:         cim-schema, sed, coreutils, grep, /bin/hostname, %insserv_prereq %fillup_prereq
%debug_package
%package devel
Group           : Programming/Library
Summary         : Headers files for OpenWBEM
Requires	: openwbem = %{version}-%{release}

%description
OpenWBEM is a set of software components that help facilitate
deployment of the Common Information Model (CIM) and Web-Based
Enterprise Management (WBEM) technologies of the Distributed Management
Task Force (DMTF).

Web-Based Enterprise Management (WBEM) is a set of management and
Internet standard technologies developed to unify the management of
distributed computing environments. WBEM provides the ability for the
industry to deliver a well-integrated set of standards-based management
tools, facilitating the exchange of data across otherwise disparate
technologies and platforms.

For more information about DMTF and its technologies, visit
http://www.dmtf.org/standards.



Authors:
--------
    Jon Carey
    Dan Nuffer 
    Bart Whiteley 
    Markus Mueller
    Matthias Hoelzer-Kluepfel
    Brian Nesse


%description devel
OpenWBEM is a set of software components that help facilitate the
deployment of the DMTF's (Distributed Management Task Force) CIM/WBEM
technologies. If you are not familiar with the DMTF and it's
technologies, you might want to visit their web site at
http://www.dmtf.org.



Authors:
--------
    Jon Carey
    Dan Nuffer 
    Bart Whiteley 
    Markus Mueller
    Matthias Hoelzer-Kluepfel
    Brian Nesse

%prep
# unpack version 3.1.0 to get repository dump capable of dumping the 
# old repository
%setup -T -b 7 -n %{name}-3.1.0
%patch8 -p0 -b .orig
%patch9 -p0 -b .orig
%setup  %{name}-%{version}
%patch1 -p0 -b .compiler-flags
%patch2 -b .perl_path
%patch7 -p0 -b .m4
%patch10 -p0 -b .orig
%patch11 -b .orig.thread-context
%patch12 -b .orig.openwbem-simpleAssocProvIfc-xnsAssoc.patch
%patch13 -b .orig.openwbem-embedded_includes.patch
%patch14 -b .orig.openwbem-additional_config_files.patch

%build
## Uncomment these for the occasional mbuild to run testsuite on all plats. 
## I wonder if this will screw up autobuild time estimates...
#./configure
#export OWLONGTEST=1
#make %{?jobs:-j%jobs} check
#make distclean
## end testsuite run
# Fix the config file
#  -e "s!^owcimomd.allowed_users =.*!owcimomd.allowed_users = \*!g" 
sed  \
  -e "s!^;owcimomd.ACL_superuser =.*!owcimomd.ACL_superuser = root!g" \
  -e "s!^owcimomd.interop_schema_namespace =.*!owcimomd.interop_schema_namespace = Interop!g" \
  -e "s!^http_server.http_port = 5988!http_server.http_port = -1!g" \
  -e "s!^http_server.allow_local_authentication = false!http_server.allow_local_authentication = true!g" \
  -e "s!^cppprovifc.prov_location = @libdir@/openwbem/c++providers!cppprovifc.prov_location = @libdir@/openwbem/c++providers:/opt/novell/lib/openwbem/c++providers!g" \
  -e "s!^cmpiprovifc.prov_location = @libdir@/openwbem/cmpiproviders!cmpiprovifc.prov_location = @libdir@/cmpi:@libdir@/openwbem/cmpiproviders!g" \
  < etc/openwbem.conf.sh > etc/openwbem.conf.sh.new
mv etc/openwbem.conf.sh.new etc/openwbem.conf.sh 
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fstack-protector" \
CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector" \
./configure \
	--prefix=%{prefix} \
	--sysconfdir=/etc \
	--libdir=%_libdir \
	--localstatedir=%{localstatedir} \
        --enable-perl-providerifc \
	--libexecdir=%{prefix}/%_lib/openwbem/bin \
	--mandir=%_mandir \
	--enable-threads-run-as-user
make %{?jobs:-j%jobs}
# Now work on old repository dump
OLDDIR=`pwd`
cd ../openwbem-3.1.0
# regen Makefile.in cuz a Makefile.am was patched
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} \
	--sysconfdir=/etc \
	--libdir=%_libdir \
	--localstatedir=%{localstatedir} \
        --enable-perl-providerifc \
	--libexecdir=%{prefix}/%_lib/openwbem/bin \
	--mandir=%_mandir \
	--enable-threads-run-as-user
cd db
make %{?jobs:-j%jobs}
cd ../src/cim
make %{?jobs:-j%jobs}
cd ../ifcs
make %{?jobs:-j%jobs}
cd ../common
make %{?jobs:-j%jobs}
cd ../repositories/hdb
make %{?jobs:-j%jobs}
cd ../../tools
make %{?jobs:-j%jobs} owrepositorydump
cd $OLDDIR

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc/openwbem/openwbem.conf.d
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 etc/sysconfig/daemons/owcimomd $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.owcimomd
install -d $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/usr/bin
ln -sf ../../etc/init.d/owcimomd $RPM_BUILD_ROOT/usr/sbin/rcowcimomd
install -d $RPM_BUILD_ROOT/etc/pam.d
install -d $RPM_BUILD_ROOT%_libdir/openwbem/cmpiproviders
install -m 644 etc/pam.d/openwbem $RPM_BUILD_ROOT/etc/pam.d
install -d $RPM_BUILD_ROOT/%{prefix}/%_lib/openwbem/c++providers
install -d $RPM_BUILD_ROOT/%{localstatedir}/openwbem
install -m 755 %{S:2} $RPM_BUILD_ROOT/usr/bin
install -m 755 %{S:3} $RPM_BUILD_ROOT/usr/bin
install -m 755 %{S:4} $RPM_BUILD_ROOT/etc/init.d/owcimomd
install -m 644 %{S:5} $RPM_BUILD_ROOT/etc/pam.d/openwbem
# Load the schema.
MOFPATH=$RPM_BUILD_ROOT/%{prefix}/share/mof/%{name}
install -d $MOFPATH
mv $RPM_BUILD_ROOT/%{prefix}/share/%{name}/* $MOFPATH/
rmdir $RPM_BUILD_ROOT/%{prefix}/share/%{name}
install -m 644 %{S:1} $MOFPATH/
# install old repository dump
install ../openwbem-3.1.0/src/tools/owrepositorydump \
	$RPM_BUILD_ROOT/%_libdir/openwbem/owrepositorydump-3.1.0
# touch them here so we can %ghost them in %files. 
touch $RPM_BUILD_ROOT/%{localstatedir}/openwbem/{classassociation,instances,instassociation,namespaces,schema}.{dat,ndx,lock}
# END OF INSTALL
%perl_process_packlist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
DUMPUTIL=%{prefix}/sbin/owrepositorydump
REPODIR=%{localstatedir}/openwbem
if [ "x$1" == "x2" ]; then
  if [ -x $DUMPUTIL ]; then
    if [ ! -d $REPODIR/dump ]; then
      mkdir $REPODIR/dump
    fi
    DUMPFILE=$REPODIR/dump/repo.mof
    CIMOM_INIT=/etc/init.d/owcimomd
    if [ "$YAST_IS_RUNNING" != "instsys" ] ; then
      $CIMOM_INIT status > /dev/null 2>&1
      if [ "x$?" = "x0"  ]; then
        $CIMOM_INIT stop > /dev/null 2>&1
        touch $REPODIR/dump/restart
      fi
    fi
    $DUMPUTIL -d $REPODIR -o $DUMPFILE || rm -f $DUMPFILE
  fi
fi

%post
test -n "$MY_FIRST_ARG" || MY_FIRST_ARG=$1
%{fillup_and_insserv -y -n owcimomd owcimomd}
REPODIR=%{localstatedir}/openwbem
MOFDIR=%{prefix}/share/mof
CIMPATH=$MOFDIR/cim-current
LOGFILE=$REPODIR/owmofc.log
rm -f $LOGFILE
# upgrade
if [ "x$MY_FIRST_ARG" == "x2" ]; then 
  # in the case of upgrade, make sure novell provider dir is supported
  if ! grep -q "cppprovifc\.prov_location.*/opt/novell/lib/openwbem/c++providers.*" /etc/openwbem/openwbem.conf; then 
    sed -e 's!^\(cppprovifc\.prov_location.*\)!\1:/opt/novell/lib/openwbem/c++providers!' \
  	< /etc/openwbem/openwbem.conf > /etc/openwbem/openwbem.conf.tmp; 
    mv /etc/openwbem/openwbem.conf.tmp /etc/openwbem/openwbem.conf
  fi
  if ! grep -q "^http_server\.allow_local_authentication = true" /etc/openwbem/openwbem.conf; then 
    sed -e 's!.*http_server\.allow_local_authentication.*!http_server\.allow_local_authentication = true!' \
  	< /etc/openwbem/openwbem.conf > /etc/openwbem/openwbem.conf.tmp; 
    mv /etc/openwbem/openwbem.conf.tmp /etc/openwbem/openwbem.conf
  fi
  # handle upgrade of repository
  if [ -f $REPODIR/dump/restart ]; then
    CIMOM_RESTART=1
  fi
  DUMPFILE=$REPODIR/dump/repo.mof
  CIMOM_INIT=/etc/init.d/owcimomd
  OLDDUMP=%_libdir/openwbem/owrepositorydump-3.1.0
# If no dump file exists, we assume we're upgrading from version 3.1.0
  if [ ! -f $DUMPFILE ]; then
    if [ -x $OLDDUMP ]; then
      mkdir -p $REPODIR/dump
      if [ "$YAST_IS_RUNNING" != "instsys" ] ; then
        $CIMOM_INIT status > /dev/null 2>&1
        if [ "x$?" = "x0" ]; then
          CIMOM_RESTART=1
        fi
      fi
      echo "dumping version 3.1.0 repository" 
      $CIMOM_INIT stop > /dev/null 2>&1
      $OLDDUMP -d $REPODIR -o $DUMPFILE || rm -f $DUMPFILE
      if [ -f $DUMPFILE ]; then
        # SLES9-GA had a broken schema, and the new MOF compiler 
        # is more strict about referential integrity 
        mv $DUMPFILE $DUMPFILE.orig
        sed -e 's/Novell_ComputerSystem/Novell_UnitaryComputerSystem/'  \
          -e 's/Novell_LinuxComputerSystem/Novell_LinuxUnitaryComputerSystem/' \
                 < $DUMPFILE.orig > $DUMPFILE
      fi
    fi
  fi
  if [ -f $DUMPFILE ]; then
    mkdir $REPODIR/backup
    cp $REPODIR/*.{dat,ndx,lock} $REPODIR/backup || true
    rm -f $REPODIR/*.{dat,ndx,lock}
    %{prefix}/bin/owmofc -d $REPODIR -c -n root $DUMPFILE >> $LOGFILE 2>&1
    if [ "x$?" == "x0" ]; then
      rm -rf $REPODIR/backup
      rm -rf $REPODIR/dump
      
    else
      mv $REPODIR/backup/* $REPODIR
      rmdir $REPODIR/backup
      echo "MOF import failed!  Check $LOGFILE for details."
    fi
  fi
fi
# regardless of install or upgrade, load new schema.
%{prefix}/bin/owmofc -c -n root/cimv2 -d $REPODIR -s $CIMPATH \
    $CIMPATH/qualifiers.mof \
    $MOFDIR/openwbem/OpenWBEM_Interop.mof  >> $LOGFILE 2>&1
    if [ "x$?" != "x0" ]; then
      echo "MOF import failed!  Check $LOGFILE for details."
    fi
for i in root Interop; do
  %{prefix}/bin/owmofc -c -n $i -d $REPODIR -s $CIMPATH \
      $CIMPATH/qualifiers.mof \
      $CIMPATH/Interop/CIM_Namespace.mof \
      $CIMPATH/Interop/CIM_NamespaceInManager.mof \
      $MOFDIR/openwbem/OpenWBEM_Interop.mof  >> $LOGFILE 2>&1
      if [ "x$?" != "x0" ]; then
        echo "MOF import failed!  Check $LOGFILE for details."
      fi
done
%{prefix}/bin/owmofc -c -n root/security -d $REPODIR -s $CIMPATH \
    $MOFDIR/openwbem/OpenWBEM_Acl1.0.mof \
    $MOFDIR/openwbem/novell-openwbem-root-acl.mof  >> $LOGFILE 2>&1
if [ "x$CIMOM_RESTART" = "x1" ]; then
    $CIMOM_INIT restart > /dev/null 2>&1
fi

%postun
%{insserv_cleanup}

%triggerpostun -- openwbem < 3.2.0
cd /usr/%_lib
for i in \
libcmpisupport.so                      libowprovideragent.so		\
libnonauthenticatingauthentication.so  libowprovider.so			\
libnpisupport.so                       libowrepositoryhdb.so		\
libopenwbem.so                         libowrequesthandlerbinary.so	\
libowcimomcommon.so                    libowrequesthandlercimxml.so	\
libowcimxmllistener.so                 libowserver.so			\
libowclient.so                         libowservicehttp.so		\
libowcppprovifc.so                     libowwqlcommon.so		\
libowdb.so                             libowwql.so			\
libowembeddedcimom.so                  libowxml.so			\
libowhttpclient.so                     libpamauthentication.so		\
libowhttpcommon.so                     libpamclauthentication.so	\
libowhttpxmllistener.so                libsimpleauthentication.so 	\
libowmofc.so ; do
  ln -sf $i.4 $i 
done

%files
%defattr(-,root,root)
%doc README TODO 
%doc AUTHORS COPYING ChangeLog LICENSE
%doc doc/*.HOWTO doc/*.html
%dir %{prefix}/%_lib/openwbem
%dir %{prefix}/share/mof/openwbem
%{prefix}/%_lib/openwbem/*
%dir %{localstatedir}/openwbem
%ghost %{localstatedir}/openwbem/*
%dir /etc/openwbem
%config(noreplace) /etc/openwbem/*
%config /etc/pam.d/openwbem
%attr(0755,root,root) /etc/init.d/%{daemonname}
#/usr/lib/perl5/vendor_perl/5.8.1/i586-linux-thread-multi/perlNPI.pm
%{perl_vendorarch}/auto/perlNPI
%{perl_vendorarch}/perlNPI.pm
/var/adm/perl-modules/openwbem
%{prefix}/%_lib/lib*.so*
%{prefix}/bin/*
%{prefix}/sbin/*
%{prefix}/share/mof/openwbem/*
/var/adm/fillup-templates/sysconfig.owcimomd
%{_mandir}/man?/*
#%dir %_libdir/openwbem/cmpiproviders

%files devel
%defattr(-,root,root)
%dir %{prefix}/include/openwbem
%{prefix}/include/openwbem/*
%{prefix}/share/aclocal/openwbem.m4
%{prefix}/%_lib/lib*.a

%changelog -n openwbem
* Tue May 23 2006 - bwhiteley@suse.de
- Create /etc/openwbem/openwbem.conf.d dir so provider packages
  can more easily extend. (#177855)
- Backporting additional config file code from security branch
  (#177855)
* Mon May 22 2006 - bwhiteley@suse.de
- More work on embedded cimom lib include files. (#176812)
* Fri May 19 2006 - bwhiteley@suse.de
- Fixed to include header files in -devel package that were missing
  (#176812)
* Fri May 12 2006 - bwhiteley@suse.de
- Added a %%triggerpostun to clean up install after an upgrade of
  SLES9-GA. (#174371)
* Thu May 11 2006 - bwhiteley@suse.de
- Compensate for broken schema on SLES9-GA during upgrade
  (#174371)
* Thu May 11 2006 - bwhiteley@suse.de
- Fixed loadmof to not trash all of /var/lib/openwbem on a failed
  mof compile (#174371)
* Fri May 05 2006 - bwhiteley@suse.de
- More work on eliminating output during install and upgrade
  (#171447)
* Tue May 02 2006 - bwhiteley@suse.de
- Logging loadmof output to a file instead of stdout (was
  previously visible during rpm install/upgrade). (#171447)
* Tue May 02 2006 - bwhiteley@suse.de
- Fixed cross-namespace associations with simpleAssociatorIFC
  interface. (#171419)
* Fri Apr 28 2006 - bwhiteley@suse.de
- Fix context passed to initialize and cleanup functions for cmpi
  (#170312)
* Mon Apr 24 2006 - bwhiteley@suse.de
- Removed ldconfig from %%post and %%postun because this breaks
  upgrades (#82784)
* Thu Apr 20 2006 - bwhiteley@suse.de
- Added ldconfig to %%post and %%postun (#82784)
* Thu Apr 20 2006 - bwhiteley@suse.de
- Added default back to cmpi_prov_location config item in addition
  to our /usr/%%_lib/cmpi (#167858)
* Mon Apr 10 2006 - bwhiteley@suse.de
- Removed -m switch to owmofc in loadmof.sh.  This was removing
  description qualifiers.  The extra kbytes on the installed
  system won't make that much difference, and we're making good
  use of these qualifiers now with some of our development tools.
* Tue Mar 14 2006 - bwhiteley@suse.de
- Fix NULL cimomenv (occasional segfaults during shutdown #157808)
* Sat Feb 25 2006 - bwhiteley@suse.de
- Changed so that only root can log in (#65423)
* Wed Feb 22 2006 - bwhiteley@suse.de
- Fixed upgrade problem in %%post (#152935)
* Wed Feb 15 2006 - bwhiteley@suse.de
- Compile with -fstack-protector (#65423)
* Fri Feb 10 2006 - bwhiteley@suse.de
- Fix problem dumping repository if namespaces aren't lower-case
  this breaks upgrades. (#148204)
- Move to official released version (#150005)
* Mon Jan 30 2006 - bwhiteley@suse.de
- Latest cvs which includes specifying namespaces on instances,
  and fixing HTTP authentication scheme to be case insensitive
  as required by HTTP specs.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - bwhiteley@suse.de
- Fixed to include more components of Interop schema
* Tue Jan 17 2006 - bwhiteley@suse.de
- Changed Interop namespace in openwbem.conf
* Tue Jan 17 2006 - bwhiteley@suse.de
- Changed to load interop schema in Interop namespace, and
  adjusted for generic cim-schema symlink
* Tue Jan 10 2006 - bwhiteley@suse.de
- Removed CIM schema and made a dependency on cim-schema package
* Thu Jan 05 2006 - bwhiteley@suse.de
- Upgrade cim schema to v2.11-experimental
* Sat Dec 03 2005 - bwhiteley@suse.de
- Some changes to loadmof.sh script
* Thu Dec 01 2005 - bwhiteley@suse.de
- Added generic symlink for mof files to hide moving cim schema
  version.
* Tue Nov 29 2005 - bwhiteley@suse.de
- Added CIM_Namespace to /root (Interop) namespace
* Wed Nov 16 2005 - bwhiteley@suse.de
- Fixed problem where qualifier handling (previous change) didn't
  work right in some cases.
* Wed Nov 16 2005 - bwhiteley@suse.de
- New mof compiler fix to handle qualifiers in new namespaces
  New schema version
* Tue Nov 15 2005 - bwhiteley@suse.de
- updated to newer CVS and fixed init script for #65447
* Thu Oct 27 2005 - bwhiteley@suse.de
- Bring back stuff from the last 5 days that somehow was erased
  from existence.
- fixed rmmof.
- upgrade stuff.
* Thu Oct 20 2005 - bwhiteley@suse.de
- More work on upgrade issues
* Thu Oct 20 2005 - bwhiteley@suse.de
- trying to make gcc-4.1 and gcc-3.x _both_ happy ... at the same
  time
* Wed Oct 19 2005 - bwhiteley@suse.de
- Fixed friend injection stuff for new compiler in beta
- some adjustments to %%post for mls.
* Wed Oct 19 2005 - bwhiteley@suse.de
- new code from cvs with a new owmofc that automatically finds missing
  classes.  new loadmof.sh and .spec to match this change
- worked on upgrade issues, including repository format migration.
- includes repository dump for previos version (thus the old src tarball)
* Tue Oct 04 2005 - bwhiteley@suse.de
- Changed loadmof.sh to make it easier for providers to install.
- upgraded to cimv2.10-experimentsl, and added mofs as part of the
  package
* Mon Sep 19 2005 - bwhiteley@suse.de
- update to current CVS code.  This should fix the deprecation
  error with the latest compiler
* Thu May 19 2005 - bwhiteley@suse.de
- Updated to OpenWBEM CVS build to move toward code10
* Tue Apr 26 2005 - nashif@suse.de
- Create certificate when openwbem is first started instead of %%post
  (#62870)
- Fix minor syntax problem in openwbem.m4 (#62870)
* Thu Jan 27 2005 - bwhitele@suse.de
- Fixed %%post to enable local authentication on upgrade
  Bugzilla 50261
* Tue Jan 25 2005 - bwhitele@suse.de
- Fixed %%post to enable owcimomd
- Fixed PreReq to have all the stuff the scripts need.
* Wed Dec 08 2004 - bwhitele@suse.de
- Update to openwbem-3.1.0 official release.
- fixed mode of /etc/pam.d/openwbem
- changed %%post to not restart daemon on upgrade
* Tue Dec 07 2004 - bwhitele@suse.de
- Made local_auth true by default (Novell Remote Manager needs this).
* Mon Dec 06 2004 - bwhitele@suse.de
- Update to 3.1.0.pre3
* Tue Nov 23 2004 - bwhitele@suse.de
- Added a directory for novell providers so the CIMOM
  doesn't choke while trying to start.
* Mon Nov 22 2004 - bwhitele@suse.de
- Update to version 3.1.0.pre2
* Sat Oct 30 2004 - bwhiteley@suse.de
- Update to version 3.1.0.pre1
* Thu Oct 21 2004 - nashif@suse.de
- Update to version 3.0.3
* Tue Jul 20 2004 - nashif@suse.de
- Fixed problem in cmpiInstance.cpp. NULL value wasn't being
  checked when get the property from the instance. (#42826)
* Sat Jun 12 2004 - nashif@suse.de
- OpenWBEM CMPI :duration timestamp gets converted to datetime
  format (#41922)
* Thu Jun 10 2004 - nashif@suse.de
- Fixed bug #41763: OpenWBEM returns incorrect error codes from
  CMPI providers
* Tue Jun 01 2004 - nashif@suse.de
- Update to version 3.0.2 which fixes previous bugs (##41414)
  and fixes return value of daemon (#41440)
  V. 3.0.2
* Sun May 30 2004 - nashif@suse.de
- fixed to not crash when running sblim testsuite (#41414)
- Dont delete repository when updating
- Removed unneeded thread patch
* Thu May 13 2004 - nashif@suse.de
- added script rmmof script for sblim providers
- Load Interop schema
- Fixed init script to handle pid file correctly
* Thu Apr 29 2004 - nashif@suse.de
- Update to 3.0 final
* Sun Apr 18 2004 - nashif@suse.de
- Update to 3.0 pre4
* Fri Apr 16 2004 - nashif@suse.de
- Update to 3.0 pre3
- Modified loadmof.sh for new snapshot
* Tue Apr 06 2004 - nashif@suse.de
- Update to latest CVS branch (3.0.0pre2)
- Added loadmof to load cmpi providers
- Added Conflict to pegasus-wbem
- Provide cim-server
- cmpi provider path is now /usr/lib/cmpi
* Tue Feb 17 2004 - nashif@suse.de
- Update to latest CVS status
- Patches from novell (bwhiteley@novell.com):
- better defaults (more secure) for the config file
- schema gets compiled during RPM build, so the repository is
  loaded "out of the box" after RPM install.
- ACLs are enabled and a default ACL policy provided (root user
  can do anything,  nobody else can do anything).
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Dec 10 2003 - nashif@suse.de
- fix build on s390
* Mon Dec 08 2003 - nashif@suse.de
- Update to latest cvs version
* Thu Nov 27 2003 - nashif@suse.de
- Initial Release
